Workspaces
Get workspace
Returns details for a specific workspace.
GET
/
workspaces
/
{workspaceSlug}
/
Get workspace
curl --request GET \
--url https://api.example.com/workspaces/{workspaceSlug}/import requests
url = "https://api.example.com/workspaces/{workspaceSlug}/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/workspaces/{workspaceSlug}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"username": "<string>",
"avatarUrl": "<string>",
"displayName": "<string>"
},
"displayName": "<string>",
"memberRole": "owner",
"settings": {
"ocr": "auto",
"requireApproval": true,
"retention": {
"auditLogs": {
"mode": "forever"
},
"originalDocuments": {
"mode": "forever"
},
"redactedDocuments": {
"mode": "forever"
}
}
},
"slug": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"avatarUrl": "<string>",
"description": "<string>"
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}{
"message": "<string>",
"name": "<string>",
"resource": "<string>",
"suggestion": "<string>",
"validation": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"params": {}
}
]
}Path Parameters
URL-safe workspace identifier.
Response
Workspace response.
Workspace response.
Timestamp when the workspace was created.
Account that created this workspace.
Show child attributes
Show child attributes
Display name of the workspace.
Role of the member in the workspace.
Allowed value:
"owner"Workspace settings (approval requirement, data-retention rules).
Show child attributes
Show child attributes
URL-safe workspace identifier.
Required string length:
3 - 32Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Timestamp when the workspace was last updated.
Serve path of the workspace's avatar (logo), when set.
Description of the workspace.
Get workspace
